Overview
DELETE/blocks/{userId}blocks

Unblock a user (does NOT restore a severed friendship)

Delete a record from blocks by userId.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • userIdpathstring
Responses
204

Block removed

No response body.

401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X DELETE "https://api.agenticdeveloperhub.com/blocks/{userId}" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/blocks/{userId}", {
  method: "DELETE",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();